-- EradInfo v0.1 by Eradicator on Eonar (Horde)

function EradInfo_OnLoad()
  DEFAULT_CHAT_FRAME:AddMessage("EradInfo [v0.1] Loaded");

  SLASH_DINFO1 = "/durability_info";
  SLASH_DINFO2 = "/dinfo";
  SLASH_DINFO3 = "/di";
  SlashCmdList["DINFO"] = function()
		durability_info();
	end

  SLASH_XPINFO1 = "/experience_info";
  SLASH_XPINFO2 = "/xpinfo";
  SLASH_XPINFO3 = "/xi";
  SlashCmdList["XPINFO"] = function()
		experience_info();
	end

  SLASH_RESTXP1 = "/rest_experience_info";
  SLASH_RESTXP2 = "/rxpinfo";
  SLASH_RESTXP3 = "/restxp";
  SLASH_RESTXP4 = "/ri";
  SlashCmdList["RESTXP"] = function()
		rest_experience_info();
	end
end

function durability_info()
	local currentDurability, maximumDurability, numBrokenItems, percentDurability = CT_RADurability_GetDurability(); 
	percentDurability=currentDurability/maximumDurability*100;
	local msg=string.format("%0.2f%% Durability\n%d Items Broken", percentDurability, numBrokenItems); 
	DEFAULT_CHAT_FRAME:AddMessage( "--==[[ Durability Information ]]==--\n" .. msg);
	UIErrorsFrame:AddMessage(msg,1,1,1,1,1); 
end

function experience_info()
	local playerxp = UnitXP("player");
	local playerlvl = UnitLevel("player");
	local playerxpmax = UnitXPMax("player");
	local playerxprest = GetXPExhaustion();
	local xp_complete_percent = playerxp/playerxpmax*100;
	local xp_remaining = playerxpmax - playerxp;
	local rest_to_level_percent = playerxprest/xp_remaining*100;
	local msg = string.format("Completed %0.2f%% of Level %d (%d XP)\nNext Level Requires %d XP (%0.2f%% from Rest XP)\nRest Bonus is %d XP", xp_complete_percent, playerlvl, playerxpmax, xp_remaining, rest_to_level_percent, playerxprest);
	DEFAULT_CHAT_FRAME:AddMessage( "--==[[ Experience Information ]]==--\n" .. msg);
	UIErrorsFrame:AddMessage(msg,1,1,1,1,1); 
end

function rest_experience_info()
	local playerxprest = GetXPExhaustion();
	local msg;
	if playerxprest > 0 then
		msg = string.format("Rest Bonus is %d XP", playerxprest);
	else
		msg = string.format("No Rest Bonus Available");
	end
	DEFAULT_CHAT_FRAME:AddMessage( "--==[[ Rest Experience Information ]]==--\n" .. msg);
	UIErrorsFrame:AddMessage(msg,1,1,1,1,1); 
end